_Robot (Robocode 1.2.4-Beta API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class _Robot

    java.lang.Object
      robocode._Robot

Direct Known Subclasses:
  Robot

    public class _Robot

extends java.lang.Object

This class is used by the system, as well as being a placeholder for all all deprecated (meaning, you should not use them) calls.

You should create a `Robot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `Robot`

Constructor Summary
`protected` | `_Robot()`

Method Summary
`int` | `getBattleNum()` Deprecated. use getRoundNum() instead.
`double` | `getGunCharge()` Deprecated. use getGunHeat()
`java.lang.String` | `getGunImageName()` Deprecated. This call is not used.
`double` | `getLife()` Deprecated. Use getEnergy()
`int` | `getNumBattles()` Deprecated. use getNumRounds() instead
`java.lang.String` | `getRadarImageName()` Deprecated. This call is not used.
`java.lang.String` | `getRobotImageName()` Deprecated. This call is not used.
`void` | `setGunImageName(java.lang.String newGunImageName)` Deprecated. This call is not used.
`void` | `setInterruptible(boolean interruptible)` Deprecated. This call has moved to AdvancedRobot, and will no longer function in the Robot class.
`void` | `setPeer(robocode.peer.RobotPeer peer)` This method is called by the game.
`void` | `setRadarImageName(java.lang.String newRadarImageName)` Deprecated. This call is not used.
`void` | `setRobotImageName(java.lang.String newRobotImageName)` Deprecated. This call is not used.
`protected void` | `uninitializedException(java.lang.String s)` Insert the method's description here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _Robot

    protected _Robot()

Method Detail

### setPeer

    public final void setPeer(robocode.peer.RobotPeer peer)

  This method is called by the game. RobotPeer is the object that deals with game mechanics and rules, and makes sure your robot abides by them. Do not call this method... your robot will simply stop interacting with the game.

### uninitializedException

    protected void uninitializedException(java.lang.String s)

  Insert the method's description here. Creation date: (8/27/2001 1:36:54 PM)

  Parameters:
    `s` - String

### getGunCharge

    public double getGunCharge()

  Deprecated. use getGunHeat()

### getLife

    public double getLife()

  Deprecated. Use getEnergy()

### getNumBattles

    public int getNumBattles()

  Deprecated. use getNumRounds() instead

### getBattleNum

    public int getBattleNum()

  Deprecated. use getRoundNum() instead.

### setInterruptible

    public void setInterruptible(boolean interruptible)

  Deprecated. This call has moved to AdvancedRobot, and will no longer function in the Robot class.

### getGunImageName

    public java.lang.String getGunImageName()

  Deprecated. This call is not used.

### setGunImageName

    public void setGunImageName(java.lang.String newGunImageName)

  Deprecated. This call is not used.

### setRadarImageName

    public void setRadarImageName(java.lang.String newRadarImageName)

  Deprecated. This call is not used.

### setRobotImageName

    public void setRobotImageName(java.lang.String newRobotImageName)

  Deprecated. This call is not used.

### getRadarImageName

    public java.lang.String getRadarImageName()

  Deprecated. This call is not used.

### getRobotImageName

    public java.lang.String getRobotImageName()

  Deprecated. This call is not used.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD